#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m;
    cin>>n>>m;
    int a,b,c,x;
    a=n*2+m*2-4;
    b=n*m-a;
    if(n==2 || m==2)cout<<a;
    else{
    for(int i=1;i<=b;i++){
        if(i%2==0)c++;
    }
    x=a+c;
    cout<<x;
    }

    return 0;
}